'use strict';

var cfg, Tabs, Port, app;

if (location.hash) {
	app = location.hash.slice(1).split(',');
	app = {
		name: app[0],
		version: app[1]
	};
}


app = {
	name: widget.name,
	version: widget.version
};

cfg = {
	getItem: function(k, fn) {
		fn(widget.preferences.getItem(k));
	},
	setItem: function(k, v) {
		widget.preferences[k] = v;
	}
};

Tabs = opera.extension.tabs;
Tabs._getSelected = Tabs.getSelected || Tabs.getFocused;
Tabs.getSelected = function(cb) {
	var tab = this._getSelected();

	if (tab) {
		tab.incognito = tab['private'];
	}

	cb(tab || {});
};
Tabs._create = Tabs.create;
Tabs.create = function(p) {
	this._create({
		url: p.url,
		focused: p.active,
		'private': p.incognito
	});
};

Port = {
	parseMessage: function(msg) {
		return {
			msg: msg.data,
			origin: msg.origin,
			postMessage: function(message) {
				msg.source.postMessage(message);
			}
		};
	},
	listen: function(func) {
		opera.extension.addEventListener('message', func);
	}
};

